Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Mon, 21 Jul 2025 18:02:00 +0200

Eli Zaretskii, le lun. 21 juil. 2025 18:51:42 +0300, a ecrit:
> > Date: Mon, 21 Jul 2025 17:44:55 +0200
> > From: Seb Hinderer <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked],
> > 	[email-masked]
> > 
> > Robert Pluim (2025/07/21 16:53 +0200):
> > > Yes. Is there any way of detecting that the screen reader software
> > > weʼre confusing is running? If so, we could add code to disable the
> > > use of TAB for that case.
> > 
> > As Samuel has explained, no, there is no need to.
> 
> I understood that he said there was no means, not that there was no
> need.  The need clearly exists -- for Emacs.
> 
> > Also, if I understand correctly, we are talking about a behaviour which
> > is buggy even in contexts beyond accessibility, I think it were rxvt
> > terminals which were mentionned at the beginning of the thread.
> 
> I'm not aware of any bugs with this behavior, on any terminal we
> support.

It is buggy on rxvt, as the very first mail of this whole thread talks
about:

https://dept-info.labri.fr/~thibault/tmp/coucou.png

The cursor it two times too big.

> This feature is being added for the benefit of users who run
> screen-reading software.  I'm not aware of any other reasons to
> disable the use of tabs in Emacs cursor motion.

It's actually even slower on my box.

Samuel